Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have been using ubuntu 11.10 for 1 year,today it made me surprised. When I open google chrome it just closes itself. Firstly i thought that it is just for chrome and tried Firefox : It also closes itself and one thing more : I tried desktop programs such as image viewer it also closes itself.I restarted it but there is no changing.What can do this ? is it virus or another system problem ? I did not have any problem like this until today..

$ google-chrome

(exe:7166): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(exe:7201): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap", Failed to open VDPAU backend libvdpau_nvidia.so: cannot open shared object file: No such file or directory Segmentation fault

libvdpau_nvidia.so: cannot open shared object file: No such file or directory Solved by nvidia-current packet reinstallation.

Segfault still there.

share|improve this question
    
in addition to this,mozilla can live more than chrome in this situtation.After i open Chrome closes itself in 1-2 minutes,now i can write this problem via firefox –  murat Apr 4 '12 at 16:14
    
Virus don't act like that in the Linux world. Furthermore, to be infected on linux... You've to want this ! Can you give us what happens inside the application ? Launch a terminal type "firefox" and wait it to crash, put the error here (edit your first post) –  Bahaïka Apr 4 '12 at 16:20
    
I have a sneaking suspicion it's a broken plug-in. Check in /usr/lib/mozilla/plugins and update the question with a list –  hbdgaf Apr 4 '12 at 16:23
    
lol you may be the unique person in the world who using ubuntu 11.10 for 1 year :D , it just released at the end of thelast year –  Tachyons Apr 4 '12 at 16:26
    
what must i write for chrome ? lol bro i meant i use ubuntu for 1 year,sorry. –  murat Apr 4 '12 at 16:30
show 4 more comments

1 Answer

It seems to be a nvidia official driver problem (libvdpau).

There is 3 options :

  • First, you re-install the package from the repository. apt-get install --reinstall nvidia-current

  • Second, you go to the nvidia website and according to your hardware you download the proper driver and install it.

  • Don't do this one : Last one is to reinstall the libvdpau1 : apt-get install libvdpau1

Finally, it don't seems to be the fault of the nvidia driver.

share|improve this answer
    
i installed the package,are you sure it is about libvdpau ? –  murat Apr 4 '12 at 16:45
    
The fact is the software look for "libvdpau_nvidia.so" but it doesn't exist. So yes, i'm pretty sure ;). Re-installing the package might be the solution you're looking for. What package did you tried ? if it's libvdpau1, I can't be sure about the results (it'll probably don't work because it's the original libvdpau, not the nvidia retouched one which is causing the segfault to your softwares) –  Bahaïka Apr 4 '12 at 16:52
    
That's okey,What about segmentation fault ? –  murat Apr 4 '12 at 16:56
1  
@murat - this is a Q&A site - the way we work is by re-editing your question with new information. Please do NOT hold a conversation in comments. Please tidy up by deleting your comments & copying relevant information into your question. –  fossfreedom Apr 4 '12 at 17:56
1  
@Bahaïka - a similar comment for you - just keep re-editing your answer with new information and remove old irrelevant information. Please tidy up your comments by removing them and copying important information into your answer. Thank-you. –  fossfreedom Apr 4 '12 at 17:58
show 13 more comments

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.